Installer - Bug #1956

dhcp module: fails to setup static leases
Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: easy Fixed in Releases:
Pull request:

Description
The DHCP module fails to setup static leases when using 'dhcp::host’

dhcp::host {
'servername': mac => "00:01:02:03:04:05", ip => "192.168.0.10";

[root@fp ~]# puppet apply —--modulepath /root/modules dhcp.pp
Puppet::Parser::AST: :Resource failed with error ArgumentError: Invalid resource type concat::fragm
ent at /root/modules/dhcp/manifests/host.pp:14 on node fp.virtual.lan

History

#1 - 11/18/2012 04:48 AM - Siert Z.

Fix: replace 'concat::fragment' to ‘concat_fragment' in dhcp/manifests/host.pp:14

#2 - 11/20/2012 08:31 AM - Dominic Cleal

- Status changed from New to Resolved

Merged in ef1iba611e, thanks for the patch.
